Name: Xsoko
Version: 1.0
Release: 1
Copyright: GPL
Group: X11/Games/Strategy
Summary: Another version of popular sokoban game.
Packager: Wojciech Rawdanik <walter@netbyte2000.com>
Source:xsoko.tar.gz

%description
XSoko is another version of classic puzzle game in which you assume 
the role of an overworked warehouse keeper.
Your goal is to push barrels to their correct destinations without getting 
the barrel or yourself stuck against a wall or another barrel. 

%prep
cd /usr/src/redhat/BUILD
rm -rf xsoko-1.0
gzip -dc /usr/src/redhat/SOURCES/xsoko.tar.gz | tar -xvvf -

%build
cd xsoko
make

%install
cd xsoko
mkdir /usr/local/games/XSoko
mkdir /usr/local/games/XSoko/graphics
mkdir /usr/local/games/XSoko/levels
cp xsoko /usr/local/games/XSoko
cp help.txt /usr/local/games/XSoko
cp graphics/* /usr/local/games/XSoko/graphics
cp levels/* /usr/local/games/XSoko/levels

%files
%doc LICENSE README
%dir /usr/local/games/XSoko
/usr/local/games/XSoko/help.txt
/usr/local/games/XSoko/xsoko
%dir /usr/local/games/XSoko/graphics
/usr/local/games/XSoko/graphics/block.gif
/usr/local/games/XSoko/graphics/logo.gif
/usr/local/games/XSoko/graphics/lin64.gif
/usr/local/games/XSoko/graphics/podstawka.gif
/usr/local/games/XSoko/graphics/beczka.xpm
/usr/local/games/XSoko/graphics/pingwin.xpm
%dir /usr/local/games/XSoko/levels
/usr/local/games/XSoko/levels/level_01.txt
/usr/local/games/XSoko/levels/level_02.txt
/usr/local/games/XSoko/levels/level_03.txt
/usr/local/games/XSoko/levels/level_04.txt
/usr/local/games/XSoko/levels/level_05.txt
/usr/local/games/XSoko/levels/level_06.txt
/usr/local/games/XSoko/levels/level_07.txt
/usr/local/games/XSoko/levels/level_08.txt
/usr/local/games/XSoko/levels/level_09.txt
/usr/local/games/XSoko/levels/level_10.txt
/usr/local/games/XSoko/levels/level_11.txt
/usr/local/games/XSoko/levels/level_12.txt
/usr/local/games/XSoko/levels/level_13.txt
/usr/local/games/XSoko/levels/level_14.txt
/usr/local/games/XSoko/levels/level_15.txt
/usr/local/games/XSoko/levels/level_16.txt
/usr/local/games/XSoko/levels/level_17.txt
/usr/local/games/XSoko/levels/level_18.txt
/usr/local/games/XSoko/levels/level_19.txt
/usr/local/games/XSoko/levels/level_20.txt
/usr/local/games/XSoko/levels/level_21.txt
/usr/local/games/XSoko/levels/level_22.txt
/usr/local/games/XSoko/levels/level_23.txt
/usr/local/games/XSoko/levels/level_24.txt
/usr/local/games/XSoko/levels/level_25.txt
/usr/local/games/XSoko/levels/level_26.txt
/usr/local/games/XSoko/levels/level_27.txt
/usr/local/games/XSoko/levels/level_28.txt
/usr/local/games/XSoko/levels/level_29.txt
/usr/local/games/XSoko/levels/level_30.txt
/usr/local/games/XSoko/levels/level_31.txt
/usr/local/games/XSoko/levels/level_32.txt
/usr/local/games/XSoko/levels/level_33.txt
/usr/local/games/XSoko/levels/level_34.txt
/usr/local/games/XSoko/levels/level_35.txt
/usr/local/games/XSoko/levels/level_36.txt
/usr/local/games/XSoko/levels/level_37.txt
/usr/local/games/XSoko/levels/level_38.txt
/usr/local/games/XSoko/levels/level_39.txt
/usr/local/games/XSoko/levels/level_40.txt
/usr/local/games/XSoko/levels/level_41.txt
/usr/local/games/XSoko/levels/level_42.txt
/usr/local/games/XSoko/levels/level_43.txt
/usr/local/games/XSoko/levels/level_44.txt
/usr/local/games/XSoko/levels/level_45.txt
/usr/local/games/XSoko/levels/level_46.txt
/usr/local/games/XSoko/levels/level_47.txt
/usr/local/games/XSoko/levels/level_48.txt
/usr/local/games/XSoko/levels/level_49.txt
/usr/local/games/XSoko/levels/level_50.txt
/usr/local/games/XSoko/levels/level_51.txt
/usr/local/games/XSoko/levels/level_52.txt
/usr/local/games/XSoko/levels/level_53.txt
/usr/local/games/XSoko/levels/level_54.txt
/usr/local/games/XSoko/levels/level_55.txt
/usr/local/games/XSoko/levels/level_56.txt
/usr/local/games/XSoko/levels/level_57.txt
/usr/local/games/XSoko/levels/level_58.txt
/usr/local/games/XSoko/levels/level_59.txt
/usr/local/games/XSoko/levels/level_60.txt
/usr/local/games/XSoko/levels/level_61.txt
/usr/local/games/XSoko/levels/level_62.txt
/usr/local/games/XSoko/levels/level_63.txt
/usr/local/games/XSoko/levels/level_64.txt
/usr/local/games/XSoko/levels/level_65.txt
/usr/local/games/XSoko/levels/level_66.txt
/usr/local/games/XSoko/levels/level_67.txt
/usr/local/games/XSoko/levels/level_68.txt
/usr/local/games/XSoko/levels/level_69.txt
/usr/local/games/XSoko/levels/level_70.txt
/usr/local/games/XSoko/levels/level_71.txt
/usr/local/games/XSoko/levels/level_72.txt
/usr/local/games/XSoko/levels/level_73.txt
/usr/local/games/XSoko/levels/level_74.txt
/usr/local/games/XSoko/levels/level_75.txt
/usr/local/games/XSoko/levels/level_76.txt
/usr/local/games/XSoko/levels/level_77.txt
/usr/local/games/XSoko/levels/level_78.txt
/usr/local/games/XSoko/levels/level_79.txt
/usr/local/games/XSoko/levels/level_80.txt
/usr/local/games/XSoko/levels/level_81.txt
/usr/local/games/XSoko/levels/level_82.txt
/usr/local/games/XSoko/levels/level_83.txt
/usr/local/games/XSoko/levels/level_84.txt
/usr/local/games/XSoko/levels/level_85.txt
/usr/local/games/XSoko/levels/level_86.txt
